/* standard Ajax xhr function */

function getHTTPObject() {

    var xhr;

    if (window.XMLHttpRequest) { // check for support
        
        // if it's supported, use it beacuse it's better
        xhr = new XMLHttpRequest();
    
    } else if (window.ActiveXObject) { // check for the IE 6 Ajax
    
        // save it to the xhr variable
        xhr = new ActiveXObject("Msxml2.XMLHTTP");
    
    }
    
    // spit out the correct one so we can use it
    return xhr;
}

var request = getHTTPObject();

request.onreadystatechange = function(){

    // check if the request is ready and that it was successful
    if( request.readyState === 4 && request.status === 200 ) {
    
        // spit out the data that comes back
        console.log(request.responseText);
    
    }
}


/* Get all the information ready to go */

request.open("GET", "data/contacts.json", true);

/* make the actual call */

request.send(null);